インラインNCCOによる通話転送
インラインNCCOを使用して現在のコールの制御を転送する方法を示すコード・スニペット。 の制御をインラインNCCOを使って制御する方法を示すコード・スニップ。
例
サンプルコードの以下の変数を置き換える:
| キー | 説明 |
|---|---|
VOICE_CALL_ID | The UUID of the call leg. |
Prerequisites
Execute the following command at your terminal prompt to create the JWT for authentication:
export JWT=$(nexmo jwt:generate $PATH_TO_PRIVATE_KEY application_id=$NEXMO_APPLICATION_ID)Write the code
Add the following to transfer-call-inline-ncco.sh:
curl -X PUT https://api.nexmo.com/v1/calls/$VOICE_CALL_ID \
-H "Authorization: Bearer $JWT" \
-H "Content-Type: application/json"\
-d '{"action": "transfer",
"destination": {"type": "ncco", "ncco": [{"action":"talk", "text":"This is a transfer action using an inline NCCO"}]}}'Run your code
Save this file to your machine and run it:
Prerequisites
npm install @vonage/server-sdkCreate a file named transfer-a-call-inline-ncco.js and add the following code:
const { Vonage } = require('@vonage/server-sdk');
const vonage = new Vonage({
applicationId: VONAGE_APPLICATION_ID,
privateKey: VONAGE_PRIVATE_KEY,
});Write the code
Add the following to transfer-a-call-inline-ncco.js:
vonage.voice.transferCallWithNCCO(VOICE_CALL_ID, {
action: 'transfer',
destination: {
'type': 'ncco',
'ncco': [
{
'action': 'talk',
'text': 'This is a transfer action using an inline NCCO',
},
],
},
})
.then(() => console.log('Call Transferred'))
.catch((error) => console.error(error));Run your code
Save this file to your machine and run it:
Prerequisites
Add the following to build.gradle:
Create a class named TransferCallWithNcco and add the following code to the main method:
Write the code
Add the following to the main method of the TransferCallWithNcco class:
Run your code
We can use the アプリケーション plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
Run the following gradle command to execute your application, replacing com.vonage.quickstart.kt.voice with the package containing TransferCallWithNcco:
Prerequisites
Add the following to build.gradle:
Create a class named TransferCallNCCO and add the following code to the main method:
VonageClient client = VonageClient.builder()
.applicationId(VONAGE_APPLICATION_ID)
.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
.build();Write the code
Add the following to the main method of the TransferCallNCCO class:
TalkAction talkAction = TalkAction.builder("This is a transfer action using an inline NCCO.").build();
client.getVoiceClient().transferCall(VOICE_CALL_ID, new Ncco(talkAction));Run your code
We can use the アプリケーション plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
Run the following gradle command to execute your application, replacing com.vonage.quickstart.voice with the package containing TransferCallNCCO:
Prerequisites
Install-Package VonagePrerequisites
composer require vonage/clientRun your code
Save this file to your machine and run it:
Prerequisites
pip install vonage python-dotenvRun your code
Save this file to your machine and run it:
Prerequisites
gem install vonageWrite the code
Add the following to transfer-a-call-ncco.rb:
client = Vonage::Client.new(
application_id: VONAGE_APPLICATION_ID,
private_key: VONAGE_PRIVATE_KEY
)
ncco = {
"type": 'ncco',
"ncco": [
"action": 'talk',
"text": 'This is a transfer action using an inline NCCO'
]
}
response = client.voice.transfer(VOICE_CALL_ID, destination: ncco)Run your code
Save this file to your machine and run it:
試してみる
必要なのは
- 呼をセットアップし、呼のUUIDを取得する。これを行うには、「connect an inbound call」コード・スニペットを使用することができる。
- サンプルコードを実行して電話を転送する。
- コントロールは新しいNCCOに移され、確認のための音声メッセージが流れます。
さらに読む
- 電話会議 - このガイドでは、Vonageが通話に関連付ける2つの概念、レグと会話について説明します。